package vip.xiaonuo.coldchain.core.alarm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.coldchain.core.alarm.bean.SensorAlarm;
import vip.xiaonuo.coldchain.core.alarm.enums.SensorAlarmType;
import vip.xiaonuo.coldchain.modular.app.param.Message;
import vip.xiaonuo.coldchain.modular.app.param.MessagePageParam;
import vip.xiaonuo.coldchain.modular.monitornotice.param.MonitorNoticePageParam;
import vip.xiaonuo.coldchain.modular.monitorsearchhistory.dto.TopWarningDto;

import java.util.List;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/27 16:54:53
 */
public interface SensorAlarmService extends IService<SensorAlarm> {
    Page<Message> getMessages(MessagePageParam messagePageParam);

    Page<SensorAlarm> getMessages(MonitorNoticePageParam monitorNoticePageParam);

    long countAlarms(String startDate, String endDate, String sensorCode, String sensorRoute, SensorAlarmType type);

    List<String> getAlarmTypeList(String type);

    /**
     * 获取报警次数最多的十条记录
     *
     * @param month 查询的月份
     * @param types 报警类型
     * @return
     */
    List<TopWarningDto> topWarning(String month, List<String> types);
}
