package vip.xiaonuo.coldchain.modular.app.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppParametersParam {

    @Schema(description = "目标端口")
    private String targetPort;

    @Schema(description = "目标ip(域名)")
    private String targetIp;

    @Schema(description = "目标路由器SSID")
    private String RouterIp;

    @Schema(description = "目标路由器密码")
    private String RouterPassword;

    @Schema(description = "ip获取方式")
    private String ipWay;

    @Schema(description = "本地ip")
    private String ip;

    @Schema(description = "子网掩码")
    private String mask;

    @Schema(description = "网关")
    private String gateWay;

    @Schema(description = "mac地址")
    private String mac;

    @Schema(description = "终端地址")
    private String deviceAddress;

    @Schema(description = "登录帧间隔")
    private Integer loginInterval;

    @Schema(description = "心跳帧间隔")
    private Integer heartbeatInterval;

    @Schema(description = "主动上送帧间隔")
    private Integer postInterval;

    @Schema(description = "温度上限")
    private Float temperatureMax;

    @Schema(description = "温度下限")
    private Float temperatureMin;

    @Schema(description = "湿度上限")
    private Float humidityMax;

    @Schema(description = "湿度下限")
    private Float humidityMin;

    @Schema(description = "温度回差")
    private Float temperatureReturn;

    @Schema(description = "湿度回差")
    private Float humidityReturn;

    @Schema(description = "温度偏差")
    private Float temperatureDeviation;

    @Schema(description = "湿度偏差")
    private Float humidityDeviation;

    @Schema(description = "温度上限报警使能")
    private Boolean temperatureMaxWarning;

    @Schema(description = "温度下限报警使能")
    private Boolean temperatureMinWarning;

    @Schema(description = "湿度上限报警使能")
    private Boolean humidityMaxWarning;

    @Schema(description = "湿度下限报警使能")
    private Boolean humidityMinWarning;

    @Schema(description = "设备数据记录间隔")
    private Integer dataRecordingInterval;

    @Schema(description = "数据记录模式")
    private String dataRecordingMode;

    @Schema(description = "设备中储存的数据主动上传")
    private Boolean dataActiveUpload;

}
