package vip.xiaonuo.coldchain.modular.app.param.export;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppTrendParam {

    @Schema(description = "设备编号")
    @NotBlank(message = "设备编号不能为空")
    private String sensorCode;

    @Schema(description = "传感器路数")
    @NotBlank(message = "传感器路数不能为空")
    private Integer roads;

    @Schema(description = "开始查询时间")
    @NotBlank(message = "开始时间不能为空")
    private String startTime;

    @Schema(description = "结束查询时间")
    @NotBlank(message = "结束时间不能为空")
    private String endTime;

    private String aggregationWindow;
}
