package vip.xiaonuo.coldchain.modular.monitordevicepower.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.OrgEntity;

@Getter
@Setter
@TableName(value = "monitor_device_power", autoResultMap = true)
public class MonitorDevicePower extends OrgEntity {

    /** id */
    @TableId
    @Schema(description = "唯一标识符，UUID", requiredMode = Schema.RequiredMode.REQUIRED)
    private String id;

    /** 电源名 */
    @Schema(description = "电源名称")
    private String powerName;

    /** 电源编码 */
    @Schema(description = "电源编码")
    private String powerCode;

    /** 电源型号 */
    @Schema(description = "电源型号")
    private String powerType;

    /** ip */
    @Schema(description = "ip地址")
    private String ip;

    /** mac地址 */
    @Schema(description = "mac地址")
    private String mac;

    /** 生产厂家 */
    @Schema(description = "生产厂家")
    private String factory;

    /** 排序码 */
    @Schema(description = "排序码")
    private String sortCode;
}
