package vip.xiaonuo.coldchain.modular.monitordevicepower.param;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.OrgEntity;

@Getter
@Setter
public class MonitorDevicePowerEditParam extends OrgEntity {

    /** id */
    @Schema(description = "唯一标识符，UUID", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 电源名 */
    @Schema(description = "电源名称")
    @NotBlank(message = "电源名称不能为空")
    private String powerName;

    /** 电源编码 */
    @Schema(description = "电源编码")
    @NotBlank(message = "电源编码不能为空")
    private String powerCode;

    /** 电源类型 */
    @Schema(description = "电源类型")
    @NotBlank(message = "电源类型不能为空")
    private String powerType;

    /** ip */
    @Schema(description = "ip地址")
    private String ip;

    /** mac地址 */
    @Schema(description = "mac地址")
    private String mac;

    /** 生产厂家 */
    @Schema(description = "生产厂家")
    private String factory;

    /** 排序码 */
    @Schema(description = "排序码")
    private String sortCode;
}
