package vip.xiaonuo.coldchain.modular.push.param;

import jakarta.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

@Getter
@Setter
public class AlarmPushParam {
    /**
     * 用户openId
     */
    private Set<String> userIdList = new HashSet<String>();
    /**
     * 设备名
     */
    @Size(min = 0, max = 20)
    private String deviceName;
    /**
     * 告警内容
     */
    @Size(min = 0, max = 20)
    private String context;
    /**
     * 告警时间
     */
    private Date noticeTime;
    /**
     * 告警类型
     */
    @Size(min = 0, max = 20)
    private String type;
    /**
     * 告警值
     */
    @Size(min = 0, max = 32)
    private String value;
    /**
     * 用户名
     */
    private String userName = "管理员";

    public AlarmPushParam(String value) {
        this.value = value;
    }

    public AlarmPushParam() {
    }
}
