package vip.xiaonuo.coldchain.modular.push.param;

import jakarta.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

@Getter
@Setter
public class AlarmRecoverPushParam {
    /**
     * 用户openId
     */
    private Set<String> userIdList = new HashSet<String>();
    /**
     * 设备名
     */
    @Size(min = 1, max = 20)
    private String deviceName;
    /**
     * 事件类型
     */
    @Size(min = 1, max = 20)
    private String type;
    /**
     * 告警值
     */
    @Size(min = 1, max = 32)
    private String value;
    /**
     * 恢复时间
     */
    private Date recoverTime;
    /**
     * 恢复原因
     */
    @Size(min = 1, max = 20)
    private String recoverCause;

    /**
     * 离线时间
     */
    private Date firstAlarmTime;

    /**
     * 用户名
     */
    private String userName = "管理员";

    public AlarmRecoverPushParam() {
    }
}
